Package org.apache.uima.impl

# Class ResourceSpecifierFactory_impl

java.lang.Object
org.apache.uima.impl.ResourceSpecifierFactory_impl

All Implemented Interfaces:
  `ResourceSpecifierFactory`

public class ResourceSpecifierFactory_impl extends Object implements ResourceSpecifierFactory
Reference implementation of `ResourceSpecifierFactory`. Must be threadsafe.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceSpecifierFactory_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMapping(String aInterfaceName, String aClassName)`
  only used for uima framework things, setting up the mappings between intfc and impl for the framework parts
  `AllowedValue`
  `createAllowedValue()`
  Creates an `AllowedValue`.
  `AnalysisEngineDescription`
  `createAnalysisEngineDescription()`
  Creates a `AnalysisEngineDescription`.
  `AnalysisEngineMetaData`
  `createAnalysisEngineMetaData()`
  Creates a `AnalysisEngineMetaData`.
  `CasProcessorExecArg`
  `createArg()`
  `Capability`
  `createCapability()`
  Creates a `Capability`.
  `CapabilityLanguageFlow`
  `createCapabilityLanguageFlow()`
  Creates a `CapabilityLanguageFlow`.
  `CasConsumerDescription`
  `createCasConsumerDescription()`
  Creates a `CasConsumerDescription`.
  `CpeCollectionReaderCasInitializer`
  `createCasInitializer()`
  `CasProcessorErrorRateThreshold`
  `createCasProcessorErrorRateThreshold()`
  `CasProcessorMaxRestarts`
  `createCasProcessorMaxRestarts()`
  `CpeCasProcessors`
  `createCasProcessors()`
  `CasProcessorTimeout`
  `createCasProcessorTimeout()`
  `CpeCheckpoint`
  `createCheckpoint()`
  `CpeCollectionReaderIterator`
  `createCollectionIterator()`
  `CpeCollectionReader`
  `createCollectionReader()`
  `CollectionReaderDescription`
  `createCollectionReaderDescription()`
  Creates a `CollectionReaderDescription`.
  `ConfigurationGroup`
  `createConfigurationGroup()`
  Creates a `ConfigurationGroup`.
  `ConfigurationParameter`
  `createConfigurationParameter()`
  Creates a `ConfigurationParameter`.
  `ConfigurationParameterDeclarations`
  `createConfigurationParameterDeclarations()`
  Creates a `ConfigurationParameterDeclarations`.
  `ConfigurationParameterSettings`
  `createConfigurationParameterSettings()`
  Creates a `ConfigurationParameterSettings`.
  `CpeConfiguration`
  `createCpeConfig()`
  `CpeDescription`
  `createCpeDescription()`
  `CpeSofaMappings`
  `createCpeSofaMappings()`
  `CustomResourceSpecifier`
  `createCustomResourceSpecifier()`
  Creates a `CustomResourceSpecifier`.
  `CasProcessorDeploymentParams`
  `createDeploymentParameters()`
  `CpeComponentDescriptor`
  `createDescriptor()`
  `CasProcessorRuntimeEnvParam`
  `createEnv()`
  `CasProcessorErrorHandling`
  `createErrorHandling()`
  `CasProcessorExecutable`
  `createExec()`
  `ExternalResourceBinding`
  `createExternalResourceBinding()`
  Creates an `ExternalResourceBinding`.
  `ExternalResourceDependency`
  `createExternalResourceDependency()`
  Creates an `ExternalResourceDependency`.
  `ExternalResourceDescription`
  `createExternalResourceDescription()`
  Creates an `ExternalResourceDescription`.
  `FeatureDescription`
  `createFeatureDescription()`
  Creates a `FeatureDescription`.
  `FileLanguageResourceSpecifier`
  `createFileLanguageResourceSpecifier()`
  Creates a `FileLanguageResourceSpecifier`.
  `FileResourceSpecifier`
  `createFileResourceSpecifier()`
  Creates a `FileResourceSpecifier`.
  `FixedFlow`
  `createFixedFlow()`
  Creates a `FixedFlow`.
  `FlowControllerDeclaration`
  `createFlowControllerDeclaration()`
  Creates a `FlowControllerDeclaration`
  `FlowControllerDescription`
  `createFlowControllerDescription()`
  Creates a `FlowControllerDescription`
  `FsIndexCollection`
  `createFsIndexCollection()`
  Creates an `FsIndexCollection`.
  `FsIndexDescription`
  `createFsIndexDescription()`
  Creates an `FsIndexDescription`.
  `FsIndexKeyDescription`
  `createFsIndexKeyDescription()`
  Creates an `FsIndexKeyDescription`.
  `Import`
  `createImport()`
  Creates an `Import`
  `CpeInclude`
  `createInclude()`
  `JMSMessagingSpecifier`
  `createJMSMessagingSpecifier()`
  Creates a `JMSMessagingSpecifier`.
  `MailMessagingSpecifier`
  `createMailMessagingSpecifier()`
  Creates a `MailMessagingSpecifier`.
  `MQMessagingSpecifier`
  `createMQMessagingSpecifier()`
  Creates a `MQMessagingSpecifier`.
  `NameValuePair`
  `createNameValuePair()`
  Creates a `NameValuePair`.
  `Object`
  `createObject(Class aInterface)`
  Creates an object that implements the given interface.
  `OperationalProperties`
  `createOperationalProperties()`
  Creates an `OperationalProperties`
  `OutputQueue`
  `createOutputQueue()`
  `Parameter`
  `createParameter()`
  Creates a `Parameter`
  `PearSpecifier`
  `createPearSpecifier()`
  Creates a `PearSpecifier`.
  `ProcessingResourceMetaData`
  `createProcessingResourceMetaData()`
  Creates a `ProcessingResourceMetaData`.
  `ResourceManagerConfiguration`
  `createResourceManagerConfiguration()`
  Creates an `ResourceManagerConfiguration`.
  `ResourceMetaData`
  `createResourceMetaData()`
  Creates a `ResourceMetaData`.
  `ResultSpecification`
  `createResultSpecification()`
  Creates a `ResultSpecification`.
  `CasProcessorRunInSeperateProcess`
  `createRunInSeperateProcess()`
  `Settings`
  `createSettings()`
  Creates an empty `Settings` for External Override parameters.
  `SimplePrecondition`
  `createSimplePrecondition()`
  Creates a `SimplePrecondition`.
  `SofaMapping`
  `createSofaMapping()`
  (non-Javadoc)
  `TaeDescription`
  `createTaeDescription()`
  Deprecated.
  since v2.0
  `TypeDescription`
  `createTypeDescription()`
  Creates a `TypeDescription`.
  `TypeOrFeature`
  `createTypeOrFeature()`
  Creates a `TypeOrFeature`.
  `TypePriorities`
  `createTypePriorities()`
  Creates an `TypePriorities`.
  `TypePriorityList`
  `createTypePriorityList()`
  Creates an `TypePriorityList`.
  `TypeSystemDescription`
  `createTypeSystemDescription()`
  Creates a `TypeSystemDescription`.
  `URISpecifier`
  `createURISpecifier()`
  Creates a `URISpecifier`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceSpecifierFactory_impl

    public ResourceSpecifierFactory_impl()

- ## Method Details

  - ### createObject

    public Object createObject(Class aInterface)
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an object that implements the given interface.
    Specified by:
      `createObject` in interface `ResourceSpecifierFactory`
    Parameters:
      `aInterface` - the `Class` object representing the type of interface to be instantiated.
    Returns:
      an `Object` that implements `aInterface`. Returns `null` if no object that implements `aInterface` is known to this factory.
    See Also:
      - `ResourceSpecifierFactory.createObject(Class)`

  - ### addMapping

    public void addMapping(String aInterfaceName, String aClassName) throws ClassNotFoundException
    only used for uima framework things, setting up the mappings between intfc and impl for the framework parts
    Specified by:
      `addMapping` in interface `ResourceSpecifierFactory`
    Parameters:
      `aInterfaceName` - the fully-qualified name of a UIMA interface
      `aClassName` - the fully-qualified name of a class that implements `aInterfaceName`.
    Throws:
      `ClassNotFoundException` - if either of the classes named by `aInterfaceName` or `aClassName` were not found.
    See Also:
      - `ResourceSpecifierFactory.addMapping(String, String)`

  - ### createURISpecifier

    public URISpecifier createURISpecifier()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `URISpecifier`.
    Specified by:
      `createURISpecifier` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `URISpecifier`.
    See Also:
      - `ResourceSpecifierFactory.createURISpecifier()`

  - ### createJMSMessagingSpecifier

    public JMSMessagingSpecifier createJMSMessagingSpecifier()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `JMSMessagingSpecifier`.
    Specified by:
      `createJMSMessagingSpecifier` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `JMSMessagingSpecifier`.
    See Also:
      - `ResourceSpecifierFactory.createJMSMessagingSpecifier()`

  - ### createMailMessagingSpecifier

    public MailMessagingSpecifier createMailMessagingSpecifier()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `MailMessagingSpecifier`.
    Specified by:
      `createMailMessagingSpecifier` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `MailMessagingSpecifier`.
    See Also:
      - `ResourceSpecifierFactory.createMailMessagingSpecifier()`

  - ### createMQMessagingSpecifier

    public MQMessagingSpecifier createMQMessagingSpecifier()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `MQMessagingSpecifier`.
    Specified by:
      `createMQMessagingSpecifier` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `MQMessagingSpecifier`.
    See Also:
      - `ResourceSpecifierFactory.createMQMessagingSpecifier()`

  - ### createFileResourceSpecifier

    public FileResourceSpecifier createFileResourceSpecifier()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `FileResourceSpecifier`.
    Specified by:
      `createFileResourceSpecifier` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `FileResourceSpecifier`.
    See Also:
      - `ResourceSpecifierFactory.createFileResourceSpecifier()`

  - ### createFileLanguageResourceSpecifier

    public FileLanguageResourceSpecifier createFileLanguageResourceSpecifier()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `FileLanguageResourceSpecifier`.
    Specified by:
      `createFileLanguageResourceSpecifier` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `FileLanguageResourceSpecifier`.
    See Also:
      - `ResourceSpecifierFactory.createFileLanguageResourceSpecifier()`

  - ### createAnalysisEngineDescription

    public AnalysisEngineDescription createAnalysisEngineDescription()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `AnalysisEngineDescription`.
    Specified by:
      `createAnalysisEngineDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `AnalysisEngineDescription`.
    See Also:
      - `ResourceSpecifierFactory.createAnalysisEngineDescription()`

  - ### createTaeDescription

    @Deprecated public TaeDescription createTaeDescription()
    Deprecated.
    since v2.0
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `AnalysisEngineDescription`.
    Specified by:
      `createTaeDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `AnalysisEngineDescription`.
    See Also:
      - `ResourceSpecifierFactory.createTaeDescription()`

  - ### createConfigurationParameter

    public ConfigurationParameter createConfigurationParameter()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `ConfigurationParameter`.
    Specified by:
      `createConfigurationParameter` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ConfigurationParameter`.
    See Also:
      - `ResourceSpecifierFactory.createConfigurationParameter()`

  - ### createCapability

    public Capability createCapability()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `Capability`.
    Specified by:
      `createCapability` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `Capability`.
    See Also:
      - `ResourceSpecifierFactory.createCapability()`

  - ### createSimplePrecondition

    public SimplePrecondition createSimplePrecondition()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `SimplePrecondition`.
    Specified by:
      `createSimplePrecondition` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `SimplePrecondition`.
    See Also:
      - `ResourceSpecifierFactory.createSimplePrecondition()`

  - ### createTypeSystemDescription

    public TypeSystemDescription createTypeSystemDescription()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `TypeSystemDescription`.
    Specified by:
      `createTypeSystemDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `TypeSystemDescription`.
    See Also:
      - `ResourceSpecifierFactory.createTypeSystemDescription()`

  - ### createTypeDescription

    public TypeDescription createTypeDescription()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `TypeDescription`.
    Specified by:
      `createTypeDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `TypeDescription`.
    See Also:
      - `ResourceSpecifierFactory.createTypeDescription()`

  - ### createFeatureDescription

    public FeatureDescription createFeatureDescription()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `FeatureDescription`.
    Specified by:
      `createFeatureDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `FeatureDescription`.
    See Also:
      - `ResourceSpecifierFactory.createFeatureDescription()`

  - ### createFsIndexCollection

    public FsIndexCollection createFsIndexCollection()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `FsIndexCollection`.
    Specified by:
      `createFsIndexCollection` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `FsIndexCollection`.
    See Also:
      - `ResourceSpecifierFactory.createFsIndexCollection()`

  - ### createFsIndexDescription

    public FsIndexDescription createFsIndexDescription()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `FsIndexDescription`.
    Specified by:
      `createFsIndexDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `FsIndexDescription`.
    See Also:
      - `ResourceSpecifierFactory.createFsIndexDescription()`

  - ### createFsIndexKeyDescription

    public FsIndexKeyDescription createFsIndexKeyDescription()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `FsIndexKeyDescription`.
    Specified by:
      `createFsIndexKeyDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `FsIndexKeyDescription`.
    See Also:
      - `ResourceSpecifierFactory.createFsIndexKeyDescription()`

  - ### createFixedFlow

    public FixedFlow createFixedFlow()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `FixedFlow`.
    Specified by:
      `createFixedFlow` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `FixedFlow`.
    See Also:
      - `ResourceSpecifierFactory.createFixedFlow()`

  - ### createCapabilityLanguageFlow

    public CapabilityLanguageFlow createCapabilityLanguageFlow()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `CapabilityLanguageFlow`.
    Specified by:
      `createCapabilityLanguageFlow` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `CapabilityLanguageFlow`.
    See Also:
      - `ResourceSpecifierFactory.createCapabilityLanguageFlow()`

  - ### createNameValuePair

    public NameValuePair createNameValuePair()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `NameValuePair`.
    Specified by:
      `createNameValuePair` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `NameValuePair`.
    See Also:
      - `ResourceSpecifierFactory.createNameValuePair()`

  - ### createTypeOrFeature

    public TypeOrFeature createTypeOrFeature()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `TypeOrFeature`.
    Specified by:
      `createTypeOrFeature` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `TypeOrFeature`.
    See Also:
      - `ResourceSpecifierFactory.createTypeOrFeature()`

  - ### createAllowedValue

    public AllowedValue createAllowedValue()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `AllowedValue`.
    Specified by:
      `createAllowedValue` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `AllowedValue`.
    See Also:
      - `ResourceSpecifierFactory.createAllowedValue()`

  - ### createConfigurationGroup

    public ConfigurationGroup createConfigurationGroup()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `ConfigurationGroup`.
    Specified by:
      `createConfigurationGroup` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ConfigurationGroup`.
    See Also:
      - `ResourceSpecifierFactory.createConfigurationGroup()`

  - ### createConfigurationParameterDeclarations

    public ConfigurationParameterDeclarations createConfigurationParameterDeclarations()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `ConfigurationParameterDeclarations`.
    Specified by:
      `createConfigurationParameterDeclarations` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ConfigurationParameterDeclarations`.
    See Also:
      - `ResourceSpecifierFactory.createConfigurationParameterDeclarations()`

  - ### createConfigurationParameterSettings

    public ConfigurationParameterSettings createConfigurationParameterSettings()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `ConfigurationParameterSettings`.
    Specified by:
      `createConfigurationParameterSettings` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ConfigurationParameterSettings`.
    See Also:
      - `ResourceSpecifierFactory.createConfigurationParameterSettings()`

  - ### createSettings

    public Settings createSettings()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an empty `Settings` for External Override parameters.
    Specified by:
      `createSettings` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `Settings`.
    See Also:
      - `ResourceSpecifierFactory.createConfigurationParameterSettings()`

  - ### createTypePriorities

    public TypePriorities createTypePriorities()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `TypePriorities`.
    Specified by:
      `createTypePriorities` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `TypePriorities`.
    See Also:
      - `ResourceSpecifierFactory.createTypePriorities()`

  - ### createTypePriorityList

    public TypePriorityList createTypePriorityList()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `TypePriorityList`.
    Specified by:
      `createTypePriorityList` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `TypePriorityList`.
    See Also:
      - `ResourceSpecifierFactory.createTypePriorityList()`

  - ### createExternalResourceDependency

    public ExternalResourceDependency createExternalResourceDependency()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `ExternalResourceDependency`.
    Specified by:
      `createExternalResourceDependency` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ExternalResourceDependency`.
    See Also:
      - `ResourceSpecifierFactory.createExternalResourceDependency()`

  - ### createExternalResourceDescription

    public ExternalResourceDescription createExternalResourceDescription()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `ExternalResourceDescription`.
    Specified by:
      `createExternalResourceDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ExternalResourceDescription`.
    See Also:
      - `ResourceSpecifierFactory.createExternalResourceDescription()`

  - ### createCasConsumerDescription

    public CasConsumerDescription createCasConsumerDescription()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `CasConsumerDescription`.
    Specified by:
      `createCasConsumerDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `CasConsumerDescription`.
    See Also:
      - `ResourceSpecifierFactory.createCasConsumerDescription()`

  - ### createCollectionReaderDescription

    public CollectionReaderDescription createCollectionReaderDescription()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `CollectionReaderDescription`.
    Specified by:
      `createCollectionReaderDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `CollectionReaderDescription`.
    See Also:
      - `ResourceSpecifierFactory.createCollectionReaderDescription()`

  - ### createProcessingResourceMetaData

    public ProcessingResourceMetaData createProcessingResourceMetaData()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `ProcessingResourceMetaData`.
    Specified by:
      `createProcessingResourceMetaData` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ProcessingResourceMetaData`.
    See Also:
      - `ResourceSpecifierFactory.createProcessingResourceMetaData()`

  - ### createAnalysisEngineMetaData

    public AnalysisEngineMetaData createAnalysisEngineMetaData()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `AnalysisEngineMetaData`.
    Specified by:
      `createAnalysisEngineMetaData` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `AnalysisEngineMetaData`.

  - ### createResourceMetaData

    public ResourceMetaData createResourceMetaData()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `ResourceMetaData`.
    Specified by:
      `createResourceMetaData` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ResourceMetaData`.

  - ### createResultSpecification

    public ResultSpecification createResultSpecification()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `ResultSpecification`.
    Specified by:
      `createResultSpecification` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ResultSpecification`.
    See Also:
      - `ResourceSpecifierFactory.createResultSpecification()`

  - ### createSofaMapping

    public SofaMapping createSofaMapping()
    (non-Javadoc)
    Specified by:
      `createSofaMapping` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `SofaMapping`.
    See Also:
      - `ResourceSpecifierFactory.createSofaMapping()`

  - ### createExternalResourceBinding

    public ExternalResourceBinding createExternalResourceBinding()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `ExternalResourceBinding`.
    Specified by:
      `createExternalResourceBinding` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ExternalResourceBinding`.

  - ### createResourceManagerConfiguration

    public ResourceManagerConfiguration createResourceManagerConfiguration()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `ResourceManagerConfiguration`.
    Specified by:
      `createResourceManagerConfiguration` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `ResourceManagerConfiguration`.

  - ### createImport

    public Import createImport()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `Import`
    Specified by:
      `createImport` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `Import`.

  - ### createOperationalProperties

    public OperationalProperties createOperationalProperties()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates an `OperationalProperties`
    Specified by:
      `createOperationalProperties` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `OperationalProperties`.

  - ### createParameter

    public Parameter createParameter()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `Parameter`
    Specified by:
      `createParameter` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `Parameter`.

  - ### createFlowControllerDeclaration

    public FlowControllerDeclaration createFlowControllerDeclaration()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `FlowControllerDeclaration`
    Specified by:
      `createFlowControllerDeclaration` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `FlowControllerDeclaration`.

  - ### createFlowControllerDescription

    public FlowControllerDescription createFlowControllerDescription()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `FlowControllerDescription`
    Specified by:
      `createFlowControllerDescription` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `FlowControllerDescription`.

  - ### createCustomResourceSpecifier

    public CustomResourceSpecifier createCustomResourceSpecifier()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `CustomResourceSpecifier`.
    Specified by:
      `createCustomResourceSpecifier` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `CustomResourceSpecifier`.

  - ### createPearSpecifier

    public PearSpecifier createPearSpecifier()
    Description copied from interface: `ResourceSpecifierFactory`
    Creates a `PearSpecifier`.
    Specified by:
      `createPearSpecifier` in interface `ResourceSpecifierFactory`
    Returns:
      an instance of an object implementing `PearSpecifier`.

  - ### createCasInitializer

    public CpeCollectionReaderCasInitializer createCasInitializer()
    Specified by:
      `createCasInitializer` in interface `ResourceSpecifierFactory`

  - ### createCasProcessors

    public CpeCasProcessors createCasProcessors()
    Specified by:
      `createCasProcessors` in interface `ResourceSpecifierFactory`

  - ### createCheckpoint

    public CpeCheckpoint createCheckpoint()
    Specified by:
      `createCheckpoint` in interface `ResourceSpecifierFactory`

  - ### createCollectionIterator

    public CpeCollectionReaderIterator createCollectionIterator()
    Specified by:
      `createCollectionIterator` in interface `ResourceSpecifierFactory`

  - ### createCollectionReader

    public CpeCollectionReader createCollectionReader()
    Specified by:
      `createCollectionReader` in interface `ResourceSpecifierFactory`

  - ### createCpeConfig

    public CpeConfiguration createCpeConfig()
    Specified by:
      `createCpeConfig` in interface `ResourceSpecifierFactory`

  - ### createCpeDescription

    public CpeDescription createCpeDescription()
    Specified by:
      `createCpeDescription` in interface `ResourceSpecifierFactory`

  - ### createDescriptor

    public CpeComponentDescriptor createDescriptor()
    Specified by:
      `createDescriptor` in interface `ResourceSpecifierFactory`

  - ### createErrorHandling

    public CasProcessorErrorHandling createErrorHandling()
    Specified by:
      `createErrorHandling` in interface `ResourceSpecifierFactory`

  - ### createInclude

    public CpeInclude createInclude()
    Specified by:
      `createInclude` in interface `ResourceSpecifierFactory`

  - ### createRunInSeperateProcess

    public CasProcessorRunInSeperateProcess createRunInSeperateProcess()
    Specified by:
      `createRunInSeperateProcess` in interface `ResourceSpecifierFactory`

  - ### createDeploymentParameters

    public CasProcessorDeploymentParams createDeploymentParameters()
    Specified by:
      `createDeploymentParameters` in interface `ResourceSpecifierFactory`

  - ### createExec

    public CasProcessorExecutable createExec()
    Specified by:
      `createExec` in interface `ResourceSpecifierFactory`

  - ### createArg

    public CasProcessorExecArg createArg()
    Specified by:
      `createArg` in interface `ResourceSpecifierFactory`

  - ### createOutputQueue

    public OutputQueue createOutputQueue()
    Specified by:
      `createOutputQueue` in interface `ResourceSpecifierFactory`

  - ### createEnv

    public CasProcessorRuntimeEnvParam createEnv()
    Specified by:
      `createEnv` in interface `ResourceSpecifierFactory`

  - ### createCasProcessorTimeout

    public CasProcessorTimeout createCasProcessorTimeout()

  - ### createCasProcessorErrorRateThreshold

    public CasProcessorErrorRateThreshold createCasProcessorErrorRateThreshold()

  - ### createCasProcessorMaxRestarts

    public CasProcessorMaxRestarts createCasProcessorMaxRestarts()

  - ### createCpeSofaMappings

    public CpeSofaMappings createCpeSofaMappings()